This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 10749 - Should it be required that id is not the empty string? Otherwise it will match any WebSRT cues with is missing.
Summary: Should it be required that id is not the empty string? Otherwise it will matc...
Status: CLOSED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-26 17:19 UTC by contributor
Modified: 2012-07-18 18:40 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2010-09-26 17:19:33 UTC
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#timed-track-api

Comment:
Should it be required that id is not the empty string? Otherwise it will match
any WebSRT cues with is missing.

Posted from: 95.209.30.37
Comment 1 Philip J├Ągenstedt 2010-09-26 17:20:54 UTC
Question concerns getCueById
Comment 2 Ian 'Hixie' Hickson 2010-09-29 07:48:47 UTC
getCueById('') returns the first cue without an ID, right. Is that a problem?
Comment 3 Simon Pieters 2010-09-29 10:28:51 UTC
getElementById('') returns null, maybe it's better to be consistent with that.
Comment 4 Ian 'Hixie' Hickson 2010-09-30 19:44:43 UTC
Ok, makes sense. Will do.
Comment 5 Ian 'Hixie' Hickson 2010-10-04 22:48:55 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 6 contributor 2010-10-04 22:50:14 UTC
Checked in as WHATWG revision r5576.
Check-in comment: Be consistent with getElementById('').
http://html5.org/tools/web-apps-tracker?from=5575&to=5576